## noris-nagios-hsplugins 1.1

=== Makefile ===
build:

install:
	cp -r usr/ etc/ ${DESTDIR}/

clean:
	rm -f *-stamp || true

=== debian/changelog ===
noris-nagios-hsplugins (1.1) squeeze; urgency=low

  * build for squeeze

 -- Katharina Drexel <kdrexel@noris.de>  Thu, 13 Jun 2013 07:43:55 +0200

noris-nagios-hsplugins (1.0) wheezy; urgency=low

  * changed some paths from icinga to nagios (#13451644)

 -- Katharina Drexel <kdrexel@noris.de>  Mon, 10 Jun 2013 10:49:48 +0200

noris-nagios-hsplugins (0.3) wheezy; urgency=low

  * added conffiles

 -- Katharina Drexel <kdrexel@noris.de>  Sat, 08 Jun 2013 00:21:19 +0200

noris-nagios-hsplugins (0.2) wheezy; urgency=low

  * debian/rules 

 -- Katharina Drexel <kdrexel@noris.de>  Fri, 07 Jun 2013 23:20:15 +0200

noris-nagios-hsplugins (0.1) wheezy; urgency=low

  * Initial Release.

 -- Katharina Drexel <katharina.drexel@noris.de>  Fri, 07 Jun 2013 23:06:01 +0200

## noris-nagios-hsplugins 1.7

=== debian/changelog ===
noris-nagios-hsplugins (1.7) jessie; urgency=medium

  * 21577677: added some dependencies

 -- Katharina Drexel <kdrexel@noris.de>  Mon, 27 Jul 2015 09:20:24 +0200

noris-nagios-hsplugins (1.6) wheezy; urgency=low

  * version increase because of rejection

 -- Katharina Drexel <kdrexel@noris.de>  Mon, 01 Jun 2015 17:55:45 +0200

noris-nagios-hsplugins (1.5) wheezy; urgency=low

  * 21227309: Update check_modbus

 -- Katharina Drexel <kdrexel@noris.de>  Mon, 01 Jun 2015 17:38:28 +0200

noris-nagios-hsplugins (1.4) wheezy; urgency=low

  * 14741135: bugfix in ignore if option ii

 -- Jean-Denis Gebhardt <jean-denis.gebhardt@noris.net>  Tue, 30 Jul 2013 13:54:25 +0200

noris-nagios-hsplugins (1.3) wheezy; urgency=low

  * 14684874: removed glt.cfg 

 -- Jean-Denis Gebhardt <jean-denis.gebhardt@noris.net>  Fri, 19 Jul 2013 11:29:08 +0200

noris-nagios-hsplugins (1.2) wheezy; urgency=low

  * changes for 14647752 

 -- Katharina Drexel <kdrexel@noris.de>  Wed, 03 Jul 2013 16:27:40 +0200

=== debian/control ===
Source: noris-nagios-hsplugins
Section: noris/server
Priority: extra
Maintainer: Katharina Drexel <katharina.drexel@noris.de>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.3
Homepage: http://gitlab.noris.net/noris-nagios-hsplugins.git
#Vcs-Git: git://git.debian.org/collab-maint/noris-nagios-hsplugins.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/noris-nagios-hsplugins.git;a=summary

Package: noris-nagios-hsplugins
Architecture: any
Depends: ${misc:Depends}, libdata-dump-perl, libprotocol-modbus-powermod-perl, perl-doc
Description: Plugins needed for Aermacs, Modbus Gateways and other housing stuff

## noris-nagios-hsplugins 1.8

=== Makefile ===
build:

install:
	cp -r usr/ ${DESTDIR}/

clean:
	rm -f *-stamp || true

=== debian/changelog ===
noris-nagios-hsplugins (1.8) jessie; urgency=low

  * 16789050: Updata check_bcpm

 -- Jean-Denis Gebhardt <jean-denis.gebhardt@noris.net>  Thu, 07 Jan 2016 14:23:29 +0100

=== debian/control ===
--- 
+++ 
@@ -10,5 +10,5 @@
 
 Package: noris-nagios-hsplugins
 Architecture: any
-Depends: ${misc:Depends}, libdata-dump-perl, libprotocol-modbus-powermod-perl, perl-doc
+Depends: ${misc:Depends}
 Description: Plugins needed for Aermacs, Modbus Gateways and other housing stuff

## noris-nagios-hsplugins 1.9

=== debian/changelog ===
noris-nagios-hsplugins (1.9) wheezy; urgency=low

  * 22694472: bugfixes check_bcpm

 -- Jean-Denis Gebhardt <jean-denis.gebhardt@noris.net>  Wed, 13 Jan 2016 16:33:58 +0100

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/noris-nagios-hsplugins.sgml > nagios-hs-plugins.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/noris-nagios-hsplugins.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/noris-nagios-hsplugins


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installman
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
